the tool for **stateful processing of your interdependent tasks** powered by:

- nuclear power-plant within your **shell**
- **python** batteries
- **doit** processing engine

doit is mature project started in 2008 by @schettino72 and maintained by him up to date. It already serves years in numerous projects to:

- simplify cumbersome command line calls,
- automate complex data processing or typical project related actions,
- share unified way of doing things,
- optimize processing time by skipping things already done.

People often compare `doit` to tools like `make`, `grunt` or `gulp` but they always appreciate

- strong features and flexibility
- simplicity of authoring and ease of use
- python

# Current focus

## Maintain existing code-base
The aim is to **keep the product in shape and usable**.

Abandoned open-source project does not work for long. Thriving project requires a maintainer to keep list of issues and list of pull requests short.

Financial goal is 500 USD per month to allow the maintainer working few hours a week on the project.

Main capacity shall be provided by @schettino72


# Long term vision

## B: Rewrite documentation
The aim is to **lower initial learning barrier for newcomers to get them on board** and to **help pro-users to unlock more features and earn fame**.

Existing documentation is good as it served well existing users. But we can serve better.
Inspired by great talk [What nobody tells you about documentation](https://www.youtube.com/watch?v=t4vKPhjcMZg&t=4s) by Daniele Procida we plan to rewrite the documentation into following parts:

- Introduction (basic features overview)
- Quick start and tutorials
- Reference documentation
- Concepts
- How-to's


## C: Promote
We believe, many more users deserve `doit` and we shall help them to know about it.

Promotion may have form of:

- helping selected python projects to adopt doit as internal tool
- video presentations
- presentation(s) at pycon(s)


## D: Launch doit task libraries

Grunt library has over 6000 tasks, gulp has over 3000 plug-ins.

`doit` has similar potential. E.g. [doit-py](https://github.com/pydoit/doit-py) covers python code specific tasks. Few lines of code in [dodo.py](https://github.com/pydoit/doit-py/blob/master/dodo.py) to lint the code; run the tests and measure coverage; build and upload package; spell, build and publish sphinx based documentation.


# Why to contribute?

Because:

- You can already use existing power of the tool.
- The [github doit repository](https://github.com/pydoit/doit) shows stable, long term activity with small but existing community of secondary contributors.
- You can see, we have clear plan and priorities.
- You can improve your productivity with maintained tool and streamlined documentation.
- You can doit.
